CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/pending-enhanced-diligence-rfiGet pending automatic enhanced diligence RFI (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"verificationUrl": "<string>",
"expiresAt": "<string>",
"requirements": [
{
"kind": "field",
"displayName": "<string>",
"fieldPath": "<string>",
"documentType": "<string>",
"documentSubtype": "<string>",
"requirementId": "<string>",
"description": "<string>",
"entityScope": "<string>",
"dataType": "<string>",
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"options": [
{}
],
"isMultiSelect": true,
"link": "<string>",
"acceptedFormats": [
"<string>"
],
"maxSizeBytes": 123,
"requiredSides": [
"<string>"
]
}
],
"deliveredAt": "<string>"
}Customers
Get pending automatic enhanced diligence RFI
Returns the active post-submit enhanced diligence RFI when the customer is in review and additional information is required. Used by MCP agents and API clients when Slack ops delivery is not configured.
GET
/
v1
/
customers
/
{id}
/
pending-enhanced-diligence-rfi
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/pending-enhanced-diligence-rfiGet pending automatic enhanced diligence RFI (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/pending-enhanced-diligence-rfi")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"verificationUrl": "<string>",
"expiresAt": "<string>",
"requirements": [
{
"kind": "field",
"displayName": "<string>",
"fieldPath": "<string>",
"documentType": "<string>",
"documentSubtype": "<string>",
"requirementId": "<string>",
"description": "<string>",
"entityScope": "<string>",
"dataType": "<string>",
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"options": [
{}
],
"isMultiSelect": true,
"link": "<string>",
"acceptedFormats": [
"<string>"
],
"maxSizeBytes": 123,
"requiredSides": [
"<string>"
]
}
],
"deliveredAt": "<string>"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Customer ID
Example:
"cus_abc123"
Was this page helpful?